// DEFINITION OF OUR APPLICATION CLASS
// private field of class are seen as global variable for our activities

package com.example.liste_express;

import java.util.ArrayList;



import android.app.Application;



public class ApplicationDataShare extends Application{
    
    private static ApplicationDataShare applicationInstance;
    private Individu personne;
    private ArrayList<Individu> maListeIndividu =new  ArrayList<Individu> ();
    
    @Override
    public void onCreate() {
        super.onCreate();
        //Assign a reference to this specific instance of the application
        if(applicationInstance == null){
            applicationInstance = this;
        	
           // Complete here   maListeIndividu 
            XXXXXXXXXXXXXXXXXXX
           
        }
    }
    
    //You can call this method from anywhere to get a reference to the application instance
    //you will always get a reference because in order for your component to exist, the application
    //instance MUST already exist
    public static ApplicationDataShare getInstance(){
        return applicationInstance;
    }
    
    public void setIndividu(Individu unePersonne){
        this.personne = unePersonne;
    }
    
    public Individu getIndividu(){
        return this.personne;
    }
    
    public ArrayList<Individu> getListeIndividu(){
        return this.maListeIndividu;
    }
    
    
}